Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 2 Next »

TUTORIAL OVERVIEW
Task - Install GroovyEclipse Plugin.
Level - Very basic.
Prerequisites - Eclipse 3.4.2, 3.5, or 3.5.1.

ALL GROOVY-ECLIPSE TUTORIALS
Install GroovyEclipse Plugin
Create Your First Groovy Project


QUICK FACTS FOR ECLIPSE EXPERTS

 


GroovyEclipse update site for Eclipse 3.5.n,
M1 build

http://dist.springsource.org/milestone/GRECLIPSE/e3.5/


GroovyEclipse update site for Eclipse 3.5.n,
snapshot build with recent fixes

http://dist.codehaus.org/groovy/distributions/greclipse/snapshot/e3.5/


GroovyEclipse update site for Eclipse 3.4.2,
snapshot build with recent fixes

http://ci.repository.codehaus.org/greclipse/snapshot/e34/


GroovyEclipse update site for Eclipse 3.4.2,
M1 build

available soon

GETTING HELP – If you have problems, send a message to http://xircles.codehaus.org/lists/eclipse-plugin-user@groovy.codehaus.org.

Do

See

In Eclipse 3.5.x, click Help > Install New Software.

You use Eclipse's standard installation process to download and install GroovyEclipse. The Eclipse user interface for software installation and update varies between 3.4 and 3.5.

Eclipse 3.4.2 users: click Help > Software Updates and follow the dialogs to work with or add the GroovyEclipse update site - see step 3 for the URL.

To add the GroovyEclipse plugin download site to your Available Software Sites, click Add on the Available Software page.

If you have previously added the site, click the blue down arrow and select if from the drop-down list of your available sites.

On the Add Site page, type a name in the Name box to assign a name of your preference to the site, or leave it blank to use a default site name constructed from repository metadata.

In the Location box type the download URL the URL that corresponds to your version of Eclipse, and click Next.

If you use 3.4.2 - "http://ci.repository.codehaus.org/greclipse/snapshot/e34" or

If you use 3.5.x - "http://dist.springsource.org/milestone/GRECLIPSE/e3.5/"

On the Available Software page, checkmark Groovy-Eclipse Plugin, and if you wish to work with the plugin sources, Groovy Eclipse SDK.

Click Next.

Don't checkmark Groovy Compilers - they are included in the GroovyEclipse Plugin.

You can review the components to be installed on the Install Details page.

As noted above, the GroovyEclipse Plugin includes two versions of the Groovy compilers: v1.7-beta2 (enabled) and v1.6.5.

The JDT Core patch is an update to the Eclipse Java Development Tool (JDT) that enables Groovy/JDT integration.

Accept the license agreement and click Finish.

Eclipse prompts you to restart.

After Eclipse restarts, you can see that Eclipse's File > New menu now includes wizards for creating Groovy projects, classes, and test cases.

You have successfully installed GroovyEclipse.

For step-by-step instructions on how to create your first Groovy program using GroovyEclipse, see Create Your First Groovy Project.

  • No labels